<?php 	include_once('../../config.php');   	
		include_once(ABS_PATH.'/admin/login_check.php');    
 
 
                                
                                 
 
                				if( ($_REQUEST['serKy']=='jspdfpofnpprimv00nF'))
                				{    
    				         
                                    $stmt=$conn->prepare("select  * from  UI__UPreqst   where id=:id ");   
                                    $stmt->bindValue(':id', $_REQUEST['PyId'] , PDO::PARAM_INT);   
                                    $stmt->execute(); 
                                    $ppm = $stmt->fetch(PDO::FETCH_OBJ);  
                                     
                                    $De = json_decode($ppm->upr);  
                                    
                                    $_POST['userid'] = $ppm->custId;
                                    $_POST['fund'] = $De->amount;   
             				        
            				        
                                        $stmt=$conn->prepare("select  amt,availableFund from  UI__Fundtransfer   where userid=:cuurentId order by id desc");  
                                        $stmt->bindValue(':cuurentId', $_POST['userid'] , PDO::PARAM_STR);
                                        $stmt->execute();  
                                        
                                        if($stmt->rowCount() > 0)
                                        {
                                           $AllUsers = $stmt->fetch(PDO::FETCH_OBJ); 
                                           $totalAvaib = $AllUsers->availableFund+$_POST['fund'];  
                                        } 
                                        
                            			$stmt=$conn->prepare("insert into  UI__Fundtransfer (userid,Tdate,amt,availableFund,refunded) values(:userid,:Tdate,:amt,:availableFund,1)    "); 
                                        $stmt->bindValue(':userid',$_POST['userid'], PDO::PARAM_STR); 
                                        $stmt->bindValue(':Tdate',date("d-M-Y H:i"), PDO::PARAM_STR); 
                                        $stmt->bindValue(':amt',$_POST['fund'], PDO::PARAM_STR);  
                                        $stmt->bindValue(':availableFund', $totalAvaib , PDO::PARAM_STR);  
                                        $stmt->execute(); 
                                         
                                        
                                        $stmt=$conn->prepare("select *  from UI__DailyROIGene    where custId=:sId     ");   
                                        $stmt->bindValue(':sId',  $_POST['userid'] , PDO::PARAM_INT);  
                                        $stmt->execute(); 
                                        $XUI__DailyROIGene = $stmt->fetchAll(PDO::FETCH_OBJ);  
                                        
                                        $Tamnt = 0;
                                        foreach($XUI__DailyROIGene as $xx)
                                        {
                                        $Tamnt +=$xx->amount;
                                        }      
                                        
                                        
                                        $stmt=$conn->prepare("select *  from UI__Bns    where Rid =:sId   ");   
                                        $stmt->bindValue(':sId',  $_POST['userid'] , PDO::PARAM_INT);  
                                        $stmt->execute(); 
                                        $UI__Bns = $stmt->fetchAll(PDO::FETCH_OBJ); 
                                        
                                        $LevelI = 0;
                                        foreach($UI__Bns as $dddm)
                                        {
                                        $LevelI +=$dddm->Tamt;
                                        }
                                        
                                        
                                        $stmt=$conn->prepare("select Amt   from UI__Tpm where TopUpId=:refId   ");   
                                        $stmt->bindValue(':refId',  $_POST['userid'] , PDO::PARAM_INT);  
                                        $stmt->execute(); 
                                        $MdirectB = $stmt->fetchAll(PDO::FETCH_OBJ);  
                                        
                                        $directIncome = 0;
                                        foreach($MdirectB as $dmm)
                                        $directIncome += $dmm->Amt;                
                                        
                                        
                                        
                                        
                                        $stmt=$conn->prepare("select *  from UI__WithDraw    where userid=:sId and (accept=1 ||accept=2)  ");   
                                        $stmt->bindValue(':sId', $_POST['userid'] , PDO::PARAM_INT);  
                                        $stmt->execute(); 
                                        $UI__WithDraw = $stmt->fetchAll(PDO::FETCH_OBJ); 
                                        
                                        
                                        $totalWithdrwa = 0;
                                        foreach($UI__WithDraw as $tl)
                                        {
                                        $totalWithdrwa +=$tl->amt;
                                        }
                                        
                                          
                                        $stmt=$conn->prepare("select availableFund from UI__Fundtransfer  where  userid=:userid  order by id desc  ");   
                                        $stmt->bindValue(':userid',  $_POST['userid'] , PDO::PARAM_INT);  
                                        $stmt->execute(); 
                                        $UI__Fundtransfer = $stmt->fetch(PDO::FETCH_OBJ);   
                                        
                                           
                                        $PAYWAllet =  ($Tamnt+$LevelI+$directIncome+$UI__Fundtransfer->availableFund)-($totalWithdrwa);      
                                        $stmt=$conn->prepare("insert into  UI__DebitCredit (custId,addDel,availableBal,Tdate,type,Intype,byw) values(:custId,:addDel,:availableBal,:Tdate,:type,'Refunded','NA')"); 
                                        $stmt->bindValue(':custId',$_POST['userid'], PDO::PARAM_STR); 
                                        $stmt->bindValue(':addDel',$_POST['fund'], PDO::PARAM_STR); 
                                        $stmt->bindValue(':availableBal',$PAYWAllet, PDO::PARAM_STR);  
                                        $stmt->bindValue(':Tdate', date("d-M-Y H:i") , PDO::PARAM_STR);  
                                        $stmt->bindValue(':type', 1 , PDO::PARAM_STR);   
                                        $stmt->execute();     
                                        $LastIntId = $conn->lastInsertId();
                                        
                                        $stmt=$conn->prepare("select id from UI__Rgst  where  cuurentId=:cuurentId    ");   
                                        $stmt->bindValue(':cuurentId',  $_POST['userid'] , PDO::PARAM_STR);  
                                        $stmt->execute(); 
                                        $UIid = $stmt->fetch(PDO::FETCH_OBJ);   
                                        
                                        $amount = password_hash(($PAYWAllet),PASSWORD_DEFAULT);  
                                        $stmt =  $conn->prepare("update _pkCc__ set bl1=:bl1,tm=:tm where Uxd=:Uxd "); 
                                        $stmt->bindValue(':bl1', $amount, PDO::PARAM_STR); 
                                        $stmt->bindValue(':tm', date("d-M-Y H:i"), PDO::PARAM_STR); 
                                        $stmt->bindValue(':Uxd', $UIid->id, PDO::PARAM_STR);  
                                        $stmt->execute();   
                                        
                                        $stmt=$conn->prepare("select * from UI__Rgst  where  cuurentId=:cuurentId  ");   
                                        $stmt->bindValue(':cuurentId',  $_POST['userid'] , PDO::PARAM_STR);  
                                        $stmt->execute();
                                        $UI__Rgst = $stmt->fetch(PDO::FETCH_OBJ);     	
                                        
                                        
                                        $stmt=$conn->prepare("insert into UI__Receipt(type,bank,mobile,email,amountPaid,Tid,status,Tdate,custId,cdId,Topay,TopayName) values(:type,:bank,:mobile,:email,:amountPaid,:Tid,:status,:Tdate,:custId,:cdId,:Topay,:TopayName)"); 
                                        $stmt->bindValue(':type',   11 , PDO::PARAM_STR);   
                                        $stmt->bindValue(':bank',  "Refunded" , PDO::PARAM_STR);   
                                        $stmt->bindValue(':mobile', $UI__Rgst->phm, PDO::PARAM_STR);
                                        $stmt->bindValue(':email', $UI__Rgst->eml , PDO::PARAM_STR); 
                                        $stmt->bindValue(':amountPaid', $_POST['fund']  , PDO::PARAM_STR); 
                                        $stmt->bindValue(':Tid', mt_rand(1234552,23555), PDO::PARAM_STR); 
                                        $stmt->bindValue(':status', 1 , PDO::PARAM_STR); 
                                        $stmt->bindValue(':Tdate', date("d-M-Y H:i") , PDO::PARAM_STR);      
                                        $stmt->bindValue(':custId', $_POST['userid'], PDO::PARAM_STR);  
                                        $stmt->bindValue(':cdId', $LastIntId  , PDO::PARAM_STR); 
                                        $stmt->bindValue(':Topay',  $_POST['userid'] , PDO::PARAM_STR); 
                                        $stmt->bindValue(':TopayName',  $_POST['userid'] , PDO::PARAM_STR);     
                                        $stmt->execute();    
                                        
                                        $stmt=$conn->prepare("update  UI__UPreqst   set  status=1    where id=:id ");   
                                        $stmt->bindValue(':id', $_REQUEST['PyId'], PDO::PARAM_STR);
                                        $stmt->execute();   
                                        header("Location: UPIManage.php");
                                        die;  
	                    }    
	                    